/* $Id: shhmsg.h,v 1.4 1995/10/10 21:05:37 sverrehu Exp $ */
#ifndef SHHMSG_H
#define SHHMSG_H

#include <stdio.h> /* FILE */

#ifdef __cplusplus
extern "C" {
#endif

/* program name functions */
void msgSetName(const char *s);
char *msgGetName(void);

/* error functions */
void msgError(const char *format, ...);
void msgFatal(const char *format, ...);
void msgPerror(const char *format, ...);
void msgFatalPerror(const char *format, ...);

/* message output functions */
void msgMessage(const char *format, ...);
void msgVerbose(int level, const char *format, ...);

/* output control functions */
void msgSetQuiet(int onoff);
void msgSetVerbose(int level);
void msgSetShowNameAlways(int onoff);
FILE *msgSetErrorStream(FILE *f);
FILE *msgSetVerboseStream(FILE *f);
FILE *msgSetMessageStream(FILE *f);

/* constants */
#define MSG_VERBOSE_DEFAULT -1
#define MSG_VERBOSE_NONE     0
#define MSG_ON               1
#define MSG_OFF              0
#define MSG_QUIET            1
#define MSG_OUTPUT           0

/* variables that may be changed */
extern int msgVerboseLevel;
extern int msgBeQuiet;

#ifdef __cplusplus
}
#endif

#endif
